diff --git a/game/core/src/main/java/net/minecraft/core/item/ItemSlimeball.java b/game/core/src/main/java/net/minecraft/core/item/ItemSlimeball.java
index e95545d96..df33c3039 100644
--- a/game/core/src/main/java/net/minecraft/core/item/ItemSlimeball.java
+++ b/game/core/src/main/java/net/minecraft/core/item/ItemSlimeball.java
@@ -62,9 +62,6 @@ public class ItemSlimeball extends Item {
         final TilePos bpos = new TilePos();
         int bdat = PistonCommon.headGetBase(data, bpos, world, blockPos);
         
-        System.err.println(bpos);
-        System.err.println(Integer.toBinaryString(bdat));
-
         final boolean isExtendedButNotDetached  = 
             PistonCommon.IS_DETACHED_OR_EXTENDED.get(bdat) == PistonCommon.IS_EXTENDED.mask;
         if (!isExtendedButNotDetached) {
diff --git a/game/core/src/main/java/net/minecraft/core/item/ItemStack.java b/game/core/src/main/java/net/minecraft/core/item/ItemStack.java
index acd647ec6..25f9f74e9 100644
--- a/game/core/src/main/java/net/minecraft/core/item/ItemStack.java
+++ b/game/core/src/main/java/net/minecraft/core/item/ItemStack.java
@@ -20,9 +20,6 @@ import org.jetbrains.annotations.Nullable;
 
 import java.util.Objects;
 
-import static net.minecraft.core.world.save.conversion.ItemConverters.legacyBucketConverter;
-
-
 public final class ItemStack {
     public int stackSize;
     public int animationsToGo;
@@ -408,8 +405,6 @@ public final class ItemStack {
             return null;
         }
 
-        legacyBucketConverter(nbt);
-
         ItemStack stack = new ItemStack();
         stack.readFromNBT(nbt);
         if(stack.stackSize <= 0) {
diff --git a/game/core/src/main/java/net/minecraft/core/item/Items.java b/game/core/src/main/java/net/minecraft/core/item/Items.java
index d99e64d24..8af4c85fd 100644
--- a/game/core/src/main/java/net/minecraft/core/item/Items.java
+++ b/game/core/src/main/java/net/minecraft/core/item/Items.java
@@ -266,7 +266,7 @@ public final class Items {
         TOOL_SHOVEL_IRON = (new ItemToolShovel("tool.shovel.iron", "minecraft:item/tool_shovel_iron", 16384, ToolMaterial.iron));
         TOOL_PICKAXE_IRON = (new ItemToolPickaxe("tool.pickaxe.iron", "minecraft:item/tool_pickaxe_iron", 16385, ToolMaterial.iron));
         TOOL_AXE_IRON = (new ItemToolAxe("tool.axe.iron", "minecraft:item/tool_axe_iron", 16386, ToolMaterial.iron));
-        TOOL_FIRESTRIKER_IRON = (new ItemFireStriker("tool.firestriker", "minecraft:item/tool_firestriker_iron", 16387));
+        TOOL_FIRESTRIKER_IRON = (new ItemFireStriker("tool.firestriker.iron", "minecraft:item/tool_firestriker_iron", 16387));
         FOOD_APPLE = (new ItemFood("food.apple", "minecraft:item/food_apple", 16388, 4, 8, false, 8));
         TOOL_BOW = (new ItemBow("tool.bow", "minecraft:item/tool_bow", 16389));
         AMMO_ARROW = (new Item("ammo.arrow", "minecraft:item/ammo_arrow", 16390));
@@ -453,7 +453,7 @@ public final class Items {
         DOUGH = (new Item("dough", "minecraft:item/dough", 16552));
         WAND_NBT = new ItemWandNBT("wand.nbt", "minecraft:item/wand_nbt", 16553);
 
-        RUBYGLASS = (new Item("rubyglass", "minecraft:item/rubyglass_crystal", 16555));
+        RUBYGLASS = (new Item("rubyglass.crystal", "minecraft:item/rubyglass_crystal", 16555));
 
 
         ARMOR_WOLF_LEATHER = new ItemArmor<>("armor.wolf.leather", "minecraft:item/armor_wolf_leather", 16556, ArmorMaterial.LEATHER, WolfArmorShape.BODY);
diff --git a/game/core/src/main/java/net/minecraft/core/item/block/ItemBlockLadder.java b/game/core/src/main/java/net/minecraft/core/item/block/ItemBlockLadder.java
index f791eb4d1..02ec02e26 100644
--- a/game/core/src/main/java/net/minecraft/core/item/block/ItemBlockLadder.java
+++ b/game/core/src/main/java/net/minecraft/core/item/block/ItemBlockLadder.java
@@ -34,6 +34,7 @@ public class ItemBlockLadder<T extends BlockLogicLadder> extends ItemBlock<T> {
                 bp.down();
             }
         }
+        if (!world.canBlockIdBePlacedAt(this.block.id(), bp, false, side)) return false;
         final var meta = ladder.getMetaForSide(pside);
         if (!ladder.canExistAt(world, bp, meta)) return false;
         return super.placeDirectly(selfStack, world, player, bp, meta, pside, xHit, yHit);
